from setuptools import setup, find_packages

setup(
    name="drama_generator",
    version="0.1.0",
    description="Generating gibberish shakespeare",
    author="Tom Weber",
    author_email="tom@weber.codes",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    include_package_data=True,
    package_data={
        "dotd": [
            "saved_models/rnn_2epochs.pth",
            "data/shakespeare.txt",
            "data/markdown_header.txt",
        ]
    },
    install_requires=["wheel", "torch", "numpy"],
)
